Package org.gradle.tooling.model.idea

# Interface IdeaCompilerOutput

public interface IdeaCompilerOutput
IDEA compiler output settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getInheritOutputDirs()`
  whether current module should inherit project's output directory.
  `@Nullable File`
  `getOutputDir()`
  directory to store module's production classes and resources.
  `@Nullable File`
  `getTestOutputDir()`
  directory to store module's test classes and resources.

- ## Method Details

  - ### getInheritOutputDirs

    boolean getInheritOutputDirs()
    whether current module should inherit project's output directory.
    Returns:
      inherit output dirs flag
    See Also:
      - `getOutputDir()`
      - `getTestOutputDir()`

  - ### getOutputDir

    @Nullable File getOutputDir()
    directory to store module's production classes and resources.
    Returns:
      directory to store production output. non-`null` if `getInheritOutputDirs()` returns `'false'`

  - ### getTestOutputDir

    @Nullable File getTestOutputDir()
    directory to store module's test classes and resources.
    Returns:
      directory to store test output. non-`null` if `getInheritOutputDirs()` returns `'false'`